*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    overflow: hidden;
}
main{
    width: 100vw;
    height: 100vh;
    background-color: #1d1e22;
}
section.lamp_section{
    height: 70vh;
    margin: 0;
    display: flex;
    justify-content: center;
}
.bulb-container{
    width: 300px;
    height: 500px;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
    transform-origin: top;
    animation: swing 3s ease-in-out infinite;
}
.wire{
    width: 4px;
    height: 250px;
    background: black;
    position: relative;
    z-index: 1;
}
.connector{
    background: #292929;
    width: 30px;
    aspect-ratio: 4/5;
    border-radius: 1px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    z-index: 2;
}
.grove{
    background: #424242;
    width: 34px;
    height: 3px; 
    z-index: 3;
}
.bulb{
    margin-top: -2px;
    width: 92px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #4b4b4a55;
    border: 1px solid rgba(255,255,255,0.1);
    box-shadow: 0px 1px 7px 3px rgba(105, 105, 105, 0.395);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    z-index: 1;
}
.click_bulb{
    margin-top: -2px;
    width: 92px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #ffeb00;
    border: 1px solid rgba(255,255,255,0.1);
    box-shadow: 0px 1px 107px 103px rgba(245, 223, 77, 1);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: -1px;
    z-index: 1;
}
.metal-wire{
    position: relative;
    border: 1px solid black;
    width: 22px;
    height: 11px;
    border-radius: 50%;
    z-index: 2;
}
.metal-wire:nth-child(1){
    top: -1px;
}
.metal-wire:nth-child(2){
    top: -7px;
}
.metal-wire:nth-child(3){
    top: -13px;
}
@keyframes swing{
    0%{
      transform: rotate(15deg);
    }
    50%{
      transform: rotate(-15deg);
    }
    100%{
      transform: rotate(15deg);
    }
}
section.lamp_control{
    display: flex;
    justify-content: center;
}
section.lamp_control .btn {
    height: 45px;
    width: 120px;
    cursor: pointer;
}
.bulb_animation{
    animation: bulb_animation 2s ease-out;
    animation-fill-mode: forwards;
    animation-iteration-count: 1;
}
@keyframes bulb_animation{
    0%{
        transform: translateX(0px);
    }
    100%{
        transform: translateX(5000px);
    }
}
